<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE lire:report-spec PUBLIC
  "-//LogReport.ORG//DTD Lire Report Specification Markup Language V2.0//EN"
  "http://www.logreport.org/LRSML/2.0/lrsml.dtd">
<lire:report-spec xmlns:lire="http://www.logreport.org/LRSML/"
 superservice="msgstore" id="events-by-protocol">

 <lire:title>Events by Protocol Message Store Report</lire:title>
 <lire:description>
  <para>This report specification will generate a report showing the
   the number of events for each protocol supported by the
   message store server.
  </para>
 </lire:description>

 <lire:display-spec>
  <lire:title>Number of Events by Protocol</lire:title>
 </lire:display-spec>

 <lire:report-calc-spec>
  <lire:group sort="-prot-total">
   <lire:field name="protocol"/>

   <lire:count name="prot-total" label="Events"/>
   <lire:count name="prot-ratio" ratio="table" label="% Total"/>
   <lire:count name="prot-group_ratio" ratio="group" label="% Proto"/>
  </lire:group>
 </lire:report-calc-spec>

</lire:report-spec>

<!-- 
Keep this comment at the end of the file
Local variables:
mode: xml
-->

